LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Commands

### compute rotate/dipole command

Syntax:

    compute ID group-ID rotate/dipole

- ID, group-ID are documented in compute command
- rotate/dipole = style name of this compute command

Examples:

    compute 1 all rotate/dipole

Description:

Define a computation that calculates the total rotational energy of a group of atoms with point dipole moments.

The rotational energy is calculated as the sum of 1/2 I w^2 over all the atoms in the group, where I is the moment of inertia of a disk/spherical (2d/3d) particle, and w is its angular velocity.

Restrictions: none

Related commands: none

Default: none